Open CASCADE Technology: StepGeom_HArray1OfTrimmingSelect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_HArray1OfTrimmingSelect Class Reference

`#include <StepGeom_HArray1OfTrimmingSelect.hxx>`

Inheritance diagram for StepGeom_HArray1OfTrimmingSelect:
[legend]

## Public Member Functions
| StepGeom_HArray1OfTrimmingSelect (const Standard_Integer Low, const Standard_Integer Up)
| StepGeom_HArray1OfTrimmingSelect (const Standard_Integer Low, const Standard_Integer Up, const StepGeom_TrimmingSelect &V)
void | Init (const StepGeom_TrimmingSelect &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_TrimmingSelect &Value)
const StepGeom_TrimmingSelect & | Value (const Standard_Integer Index) const
StepGeom_TrimmingSelect & | ChangeValue (const Standard_Integer Index)
const StepGeom_Array1OfTrimmingSelect & | Array1 () const
StepGeom_Array1OfTrimmingSelect & | ChangeArray1 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepGeom_HArray1OfTrimmingSelect::StepGeom_HArray1OfTrimmingSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepGeom_HArray1OfTrimmingSelect::StepGeom_HArray1OfTrimmingSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepGeom_TrimmingSelect & | V
| ) |  |

## Member Function Documentation

const StepGeom_Array1OfTrimmingSelect& StepGeom_HArray1OfTrimmingSelect::Array1 | ( |  | ) | const

StepGeom_Array1OfTrimmingSelect& StepGeom_HArray1OfTrimmingSelect::ChangeArray1 | ( |  | ) |

StepGeom_TrimmingSelect& StepGeom_HArray1OfTrimmingSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepGeom_HArray1OfTrimmingSelect::Init | ( | const StepGeom_TrimmingSelect & | V | ) |

Standard_Integer StepGeom_HArray1OfTrimmingSelect::Length | ( |  | ) | const

Standard_Integer StepGeom_HArray1OfTrimmingSelect::Lower | ( |  | ) | const

void StepGeom_HArray1OfTrimmingSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_TrimmingSelect & | Value
| ) |  |

Standard_Integer StepGeom_HArray1OfTrimmingSelect::Upper | ( |  | ) | const

const StepGeom_TrimmingSelect& StepGeom_HArray1OfTrimmingSelect::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepGeom_HArray1OfTrimmingSelect.hxx